Subject: Re: [bug#36258] [PATCH 1/2] gnu: monero: Update to 0.14.1.0.

From: swedebugia <[email-masked]>
Date: Sun, 23 Jun 2019 13:31:23 +0200

On 2019-06-23 00:17, Guillaume LE VAILLANT wrote:
> 
> swedebugia a écrit :
> 
>> I tried building it with 4GB ram and 4GB swap but it failed with this error
>> which I suspect is memory-related.
>>
>> I'm building it again now with -c 1 and it got past this point :) I will review
>> further once it is done.
>>
>> make -f src/wallet/CMakeFiles/obj_wallet.dir/build.make
>> src/wallet/CMakeFiles/obj_wallet.dir/build
>> make[2]: Entering directory '/tmp/guix-build-monero-0.14.1.0.drv-0/build'
>> [ 32%] Building CXX object src/wallet/CMakeFiles/obj_wallet.dir/wallet2.cpp.o
>>
>> [...]
>>
>> c++: internal compiler error: Killed (program cc1plus)
> 
> Yes I think it's a crash caused by an "out of memory" error. The
> wallet2.cpp file is pretty big (around 500 kB), and apparently g++ wants
> several gigabytes of RAM to compile it. When compiling on my system with
> 8 threads, 16 GB of RAM and 8 GB of swap, I often saw between 3 and 4 GB
> being swapped when the compiling process got to that file.
> 

It finished compiling on 1 core but the tests stopped after an hour and 
was completely silent and no cpu use.

How do I run the tests manually?

I tried:
cd into /tmp/guix-build-xxx
source the env
cd build
make "ARGS=-R 'hash|core_tests'" "test"
but got this error:
Could not find executable 
/tmp/guix-build-monero-0.14.1.0.drv-0/build/tests/hash-target-tests

-- 
Cheers Swedebugia